
endurox-connect - Feature #509

HTTP method in UBUF from restincl.

01/30/2020 01:09 PM - Haralds

Status: Closed Start date: 01/30/2020

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Currently the UBUF from restincl doesn't  contain information about HTTP method GET/POST/PATCH/DELETE.

History

#1 - 01/30/2020 02:02 PM - Madars

- Project changed from Enduro/X Core to endurox-connect

Hi! Some updates:

1st - ir viena ļoti steidzama lieta Madaram: restincl nepievieno HTTP metodi nevienā laukā, šeit vajag GET/POST/PATCH/DELETE . Lokāli ir uztaisīts

 ātrs haks, bet nu vajag "oficiālu" versiju

diff --git a/go/src/restincl/workerpool.go b/go/src/restincl/workerpool.go

index 1c1a1c9..250c075 100644

--- a/go/src/restincl/workerpool.go

+++ b/go/src/restincl/workerpool.go

@@ -871,6 +871,8 @@ func handleMessage(ac atmi.ATMICtx, svc ServiceMap, w http.ResponseWriter,

                                return atmi.FAIL

                        }

+                       if errU := bufu.BAdd(ubftab.EX_IF_METHOD, req.Method); nil != errU {

+            }

                        //Load the request URL

                        if errU := bufu.BAdd(ubftab.EX_IF_URL, req.URL.Path); nil != errU {

diff --git a/go/src/ubftab/Exfields b/go/src/ubftab/Exfields

index 00b5729..8b3bb8a 100644

--- a/go/src/ubftab/Exfields

+++ b/go/src/ubftab/Exfields

@@ -212,6 +212,8 @@ EX_IF_URCODE                530         long  -         User return code

 EX_IF_REQDATA               531         carray -        Request data / body

 EX_IF_RSPDATA               532         carray -        Response data / body

+EX_IF_METHOD                540         string -        HTTP method

+

 ################################################################################

 # TCP Inter-connecting

 ################################################################################
#2 - 01/30/2020 06:11 PM - Madars

Enduro/X Patched: https://github.com/endurox-dev/endurox/commit/023ab84d0d7e19ec9c6cd3f55fea15a098c760f6

Needs to update restincl + add test.

#3 - 03/12/2020 01:19 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 03/12/2020 01:20 PM - Madars

- Status changed from Resolved to Closed
